%define version	0.9.9
%define betaver 0
%define rel 5

%if %betaver
%define release %mkrel -c %betaver %rel
%define tarballver %version.%betaver
%else
%define release %mkrel %rel
%define tarballver %version
%endif


Summary:	An input method server for traditional Chinese
Name:		hime
Version:	%{version}
Release:	%{release}
License:	LGPLv2.1
URL: 		http://hime.luna.com.tw/
Group:		System/Internationalization
Source0:	http://hime.luna.com.tw/%{name}-%{tarballver}.tar.xz
BuildRequires:	gtk+2-devel
BuildRequires:	gtk+3-devel
BuildRequires:	qt4-devel
BuildRequires:	anthy-devel
BuildRequires:	libchewing-devel
Suggests:	%{name}-gtk2 = %{version}-%{release}
Suggests:	%{name}-gtk3 = %{version}-%{release}
Requires:	locales-zh
# ease upgrade
#Conflicts:	%{libname} < 1.3.5-0.pre7

%description
hime is a Chinese input method server for traditional Chinese. 
It features a better GTK user interface.


%package	gtk2
Summary:	gtk2 immodule for hime
Group:		System/Internationalization
Requires:	%name = %{version}-%{release}
Requires(post):	gtk+2.0
Requires(postun): gtk+2.0

%description	gtk2
This is the gtk2 immodule support for hime.

%package	gtk3
Summary:	gtk3 immodule for hime
Group:		System/Internationalization
Requires:	%name = %{version}-%{release}
Requires(post):	gtk+3.0
Requires(postun): gtk+3.0

%description	gtk3
This is the gtk3 immodule support for hime.

%package        qt4
Summary:        Qt4 immodule for hime
License:	GPLv2
Group:          System/Internationalization
Requires:       %name = %{version}-%{release}

%description    qt4
This is the qt4 immodule support for hime.

%prep
%setup -q -n %{name}-%{tarballver}

%build
%define _disable_ld_no_undefined 1
%configure2_5x --qt4-moc-path=%{_qt4_bindir}/moc
# (tv) disable parallel build (broken):
make OPTFLAGS="%{optflags} -fPIC" EXTRA_LDFLAGS="%{?ldflags}" CC="gcc %{?ldflags}" CCLD="gcc %{?ldflags}"

%install
rm -rf %{buildroot}
# fix installing in proper path on x86_64:
%makeinstall_std libdir=%buildroot%_libdir
rm -fr %buildroot%_docdir/
rm -fr %buildroot%_libdir/menu/

# remove unneeded files
rm -rf %{buildroot}/%{_includedir}

%{find_lang} %{name}

%clean
rm -rf %{buildroot}

%post gtk2
# install gtk IM module
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%_lib

%postun gtk2
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%_lib

%post gtk3
gtk-query-immodules-3.0-%{__isa_bits} --update-cache

%postun gtk3
gtk-query-immodules-3.0-%{__isa_bits} --update-cache

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README*
%{_bindir}/*
%{_datadir}/applications/hime-setup.desktop
%{_datadir}/hime
%{_datadir}/pixmaps/*
%{_mandir}/man?/*
%{_libdir}/hime/*

%files gtk3
%defattr(-,root,root)
%{_libdir}/gtk-3.0/immodules/*.so

%files qt4
%defattr(-,root,root)
%{qt4plugins}/inputmethods/*.so

%files gtk2
%defattr(-,root,root)
%{_libdir}/gtk-2.0/immodules/*.so




%changelog

* Wed Apr 18 2012 yochenhsieh <yochenhsieh> 0.9.9-5.mga2
+ Revision: 231297
- Remove Suggests on qt4 immodule, let localedrake handle it.
- Add Requires(post) & Requires(postun) for gtk2 & gtk3 im modules

* Thu Feb 16 2012 yochenhsieh <yochenhsieh> 0.9.9-4.mga2
+ Revision: 209579
- Update License: LGPLv2.1 (Qt immodules are GPLv2)
- Suggests gtk2 & gtk3 im modules install by default

* Sun Jan 29 2012 yochenhsieh <yochenhsieh> 0.9.9-3.mga2
+ Revision: 202815
- Change qt4 moc path.
- fix spec errors.
  build gtk2 im module package.
- imported package hime

